[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TRangeSelectMode

Enumerated type with the Range selection mode used in a grid control.

## Declaration

Source position: grids.pas line 150

`type TRangeSelectMode = (`
`rsmSingle,` |  | Allows range selection for a single range in a grid.
`rsmMulti` |  | Allows range selection for multiple ranges in a grid.
`);`

## Description

TRangeSelectMode is the type used to implement the RangeSelectMode property in TCustomGrid.

## See also

TCustomGrid.RangeSelectMode |  | Controls the range selection mode used for the grid.